{
    "$graph": [
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/input_file"
                },
                {
                    "type": "File",
                    "id": "#main/notebook"
                },
                {
                    "type": "string",
                    "id": "#main/output_file"
                },
                {
                    "type": "string",
                    "id": "#main/region"
                },
                {
                    "type": "int",
                    "id": "#main/year_max"
                },
                {
                    "type": "int",
                    "id": "#main/year_min"
                }
            ],
            "steps": [
                {
                    "run": "#worldpopulation.tool",
                    "in": [
                        {
                            "source": "#main/input_file",
                            "id": "#main/worldpopulation/input_file"
                        },
                        {
                            "source": "#main/notebook",
                            "id": "#main/worldpopulation/notebook"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/worldpopulation/output_file"
                        },
                        {
                            "source": "#main/region",
                            "id": "#main/worldpopulation/region"
                        },
                        {
                            "source": "#main/year_max",
                            "id": "#main/worldpopulation/year_max"
                        },
                        {
                            "source": "#main/year_min",
                            "id": "#main/worldpopulation/year_min"
                        }
                    ],
                    "out": [
                        "#main/worldpopulation/plot"
                    ],
                    "id": "#main/worldpopulation"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/worldpopulation/plot",
                    "id": "#main/plot"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "DockerRequirement",
                    "dockerPull": "reanahub/reana-env-jupyter"
                }
            ],
            "baseCommand": [
                "papermill"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#worldpopulation.tool/input_file"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#worldpopulation.tool/notebook"
                },
                {
                    "type": "string",
                    "default": "/dev/null",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#worldpopulation.tool/notebook_modified"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 6
                    },
                    "id": "#worldpopulation.tool/output_file"
                },
                {
                    "type": "string",
                    "default": "input_file",
                    "inputBinding": {
                        "position": 3,
                        "prefix": "-p"
                    },
                    "id": "#worldpopulation.tool/p_input_file"
                },
                {
                    "type": "string",
                    "default": "output_file",
                    "inputBinding": {
                        "position": 5,
                        "prefix": "-p"
                    },
                    "id": "#worldpopulation.tool/p_output_file"
                },
                {
                    "type": "string",
                    "default": "region",
                    "inputBinding": {
                        "position": 7,
                        "prefix": "-p"
                    },
                    "id": "#worldpopulation.tool/p_region"
                },
                {
                    "type": "string",
                    "default": "year_max",
                    "inputBinding": {
                        "position": 11,
                        "prefix": "-p"
                    },
                    "id": "#worldpopulation.tool/p_year_max"
                },
                {
                    "type": "string",
                    "default": "year_min",
                    "inputBinding": {
                        "position": 9,
                        "prefix": "-p"
                    },
                    "id": "#worldpopulation.tool/p_year_min"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 8
                    },
                    "id": "#worldpopulation.tool/region"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 12
                    },
                    "id": "#worldpopulation.tool/year_max"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "position": 10
                    },
                    "id": "#worldpopulation.tool/year_min"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "id": "#worldpopulation.tool/plot"
                }
            ],
            "id": "#worldpopulation.tool"
        }
    ],
    "cwlVersion": "v1.0"
}
